.widgetRamadan {
  border-radius: 7px;
  position: relative;
  overflow: hidden;
  color: #fff;
  padding: 15px;
  width: 100%;
  height: 100%;
  aspect-ratio: 2 / 1.1;
  font-family: "Poppins", sans-serif; }
  .desktop .widgetRamadan {
    aspect-ratio: 4 / 1; }
  .widgetRamadan--2026 {
    background: #299b5b; }
    .widgetRamadan--2026 .widgetRamadan__wave {
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      z-index: 1;
      pointer-events: none; }
    .widgetRamadan--2026 .time-card {
      background: #ffdd55; }
      .widgetRamadan--2026 .time-card label {
        color: #bf003d; }
      .widgetRamadan--2026 .time-card strong {
        color: #18964f; }
    .widgetRamadan--2026 .widgetRamadan__locationSelector select {
      color: #45818e;
      background-color: #fff; }
    .widgetRamadan--2026 .widgetRamadan__locationSelector .arrow-icon, .widgetRamadan--2026 .widgetRamadan__locationSelector .arrow-icon::before {
      border-right: 1px solid #999;
      border-bottom: 1px solid #999;
      bottom: 2px;
      top: auto; }
      .widgetRamadan--2026 .widgetRamadan__locationSelector .arrow-icon::before {
        content: "";
        -webkit-transform: translateY(-85%) rotate(180deg) !important;
        transform: translateY(-85%) rotate(180deg) !important;
        right: auto !important;
        left: -3px;
        bottom: 0;
        display: none; }
        .desktop .widgetRamadan--2026 .widgetRamadan__locationSelector .arrow-icon::before {
          display: block; }
  .widgetRamadan__container {
    position: relative;
    z-index: 2;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    height: 100%; }
    .desktop .widgetRamadan__container {
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center;
      gap: 60px; }
    .widgetRamadan__containerRight {
      width: 90%;
      height: 100%;
      -ms-flex-line-pack: end;
      align-content: flex-end;
      margin-left: 0px; }
      .desktop .widgetRamadan__containerRight {
        width: 75%;
        margin-left: 12px; }
  .widgetRamadan .sponsor {
    position: absolute;
    top: -5px;
    right: 0; }
    .desktop .widgetRamadan .sponsor {
      position: relative; }
    .widgetRamadan .sponsor span {
      font-size: 5px; }
      .desktop .widgetRamadan .sponsor span {
        font-size: 7px; }
    .widgetRamadan .sponsorLogo {
      width: 48px;
      height: 27px;
      background-color: #d9d9d9;
      overflow: hidden;
      border-radius: 3px;
      color: #000000;
      font-size: 8px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center; }
      .widgetRamadan .sponsorLogo img {
        width: 100%;
        -o-object-fit: contain;
        object-fit: contain; }
      .desktop .widgetRamadan .sponsorLogo {
        width: 53px;
        height: 31px; }
  .widgetRamadan__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 12px; }
    .widgetRamadan__header .widgetRamadan__title {
      font-size: 24px;
      font-weight: 800;
      text-transform: uppercase;
      margin: 0;
      position: absolute; }
      @media (max-width: 768px) {
        .widgetRamadan__header .widgetRamadan__title {
          top: 0;
          left: 0;
          right: 0;
          margin-left: auto;
          margin-right: auto;
          text-align: center;
          max-height: 23px; }
          .widgetRamadan__header .widgetRamadan__title img {
            max-height: 23px; } }
      .desktop .widgetRamadan__header .widgetRamadan__title {
        position: relative; }
      .widgetRamadan__header .widgetRamadan__title span {
        display: none;
        color: transparent; }
    @media (min-width: 769px) {
      .widgetRamadan__header {
        margin-bottom: 15px; } }
  .widgetRamadan__content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 10px; }
    .desktop .widgetRamadan__content {
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -ms-flex-direction: row;
      flex-direction: row;
      gap: 28px;
      margin-right: 45px; }
    .widgetRamadan__content .times-grid {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 10px;
      -webkit-box-flex: 1;
      -ms-flex: 1;
      flex: 1; }
      .desktop .widgetRamadan__content .times-grid {
        gap: 7px 14px; }
      .widgetRamadan__content .times-grid .time-card {
        border-radius: 3px;
        text-align: center; }
        .desktop .widgetRamadan__content .times-grid .time-card {
          padding: 5px 0; }
        .widgetRamadan__content .times-grid .time-card label {
          display: block;
          font-size: 12px; }
          .desktop .widgetRamadan__content .times-grid .time-card label {
            font-size: 14px; }
        .widgetRamadan__content .times-grid .time-card strong {
          font-size: 12px; }
          .desktop .widgetRamadan__content .times-grid .time-card strong {
            font-size: 15px; }
  .widgetRamadan__infoDate {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    gap: 10px; }
    .desktop .widgetRamadan__infoDate {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -ms-flex-direction: column;
      flex-direction: column;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      justify-content: center;
      gap: 3px; }
    @media (max-width: 768px) {
      .widgetRamadan__infoDate .infoDate.islamic {
        position: absolute;
        top: 25px;
        left: 0;
        right: 0;
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        font-weight: 700;
        font-size: 10px; } }
    .desktop .widgetRamadan__infoDate .infoDate.islamic {
      font-size: 16px; }
    .widgetRamadan__infoDate .infoDate.masehi {
      font-weight: 300;
      font-size: 10px; }
      .desktop .widgetRamadan__infoDate .infoDate.masehi {
        font-size: 12px; }

.desktop .widgetRamadan__location {
  width: 100%; }

.widgetRamadan__locationSelector {
  position: relative;
  width: 100%;
  max-width: 300px; }
  .desktop .widgetRamadan__locationSelector {
    margin-top: 17px; }
  .widgetRamadan__locationSelector select {
    width: 100%;
    padding: 1px 12px;
    padding-right: 40px;
    font-size: 11px;
    font-weight: 500;
    border-radius: 3px;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none; }
    .widgetRamadan__locationSelector select:focus {
      outline: none; }
    .desktop .widgetRamadan__locationSelector select {
      font-size: 12px;
      padding: 4px 12px; }
  .widgetRamadan__locationSelector .arrow-icon, .widgetRamadan--2026 .widgetRamadan__locationSelector .arrow-icon::before {
    position: absolute;
    right: 8px;
    top: 50%;
    -webkit-transform: translateY(-70%) rotate(45deg);
    transform: translateY(-70%) rotate(45deg);
    width: 7px;
    height: 7px;
    pointer-events: none; }
